"use strict";

exports.__esModule = true;
exports.decrypt_msg = exports.encrypt_params = undefined;

var _gxbjs = require("gxbjs");

/**
 * 加密消息体
 * @param params
 * @param private_key
 * @param public_key
 * @returns {string}
 */
var encrypt_params = exports.encrypt_params = function encrypt_params(params, private_key, public_key, nonce) {
  var msg = JSON.stringify(params);
  return _gxbjs.Aes.encrypt_with_checksum(private_key, public_key, nonce || "", new Buffer(msg, "utf-8")).toString("hex");
};

/**
 * 解密消息体
 * @param msg
 * @param private_key
 */
var decrypt_msg = exports.decrypt_msg = function decrypt_msg(msg, private_key, public_key_string, nonce) {
  var descrypted_msg = _gxbjs.Aes.decrypt_with_checksum(private_key, public_key_string || private_key.toPublicKey().toPublicKeyString(), nonce || "", new Buffer(msg, "hex")).toString("utf-8");
  return descrypted_msg;
};